#!/bin/sh
# LASTLOG is where to keep the file that tracks last login
#  Should probably not put it in home dir if you're trying to cut people off
#  and they have shell access.
LASTLOG=$HOME/.dovecot-lastlogin
DAYS=180 # max days since last login
if [ -f $LASTLOG ] ; then
    MOD=`stat -c %Y $LASTLOG` # last login in seconds-since-epoch
    NOW=`date +%s`            # current time in seconds-since-epoch
    if [ $((NOW - 86400*DAYS)) -gt $MOD ] ; then
        echo "* OK [ALERT] Your account has been disabled. "
        echo "* NO"
        exit 1
    fi
fi
touch $LASTLOG
exec /usr/libexec/dovecot/imap
